//CHAPTER 3, ProjectRectangle - SOLUTION  //

/**
 * This class contains a main function
 * that tests Rectangle class
 * @author OOP Team
 */
public class TestRectangle {
	public static void main(String[] args) {
		//creates two points
		Point p1 = new Point(1,1);
		Point p2 = new Point(8,9);
		
		//creates a rectangle according to 2 points
		Rectangle rec1 = new Rectangle(p1, p2);
		//creates a rectangle according to point, width and height.
		Rectangle rec2 = new Rectangle(p1,10,10);
		
		//prints two rectanges
		System.out.println(rec1);
		System.out.println("");
		System.out.println(rec2);
		
		// moves rec1 left and up
		rec1.move(-2,3);
		// moves rec2 right and down 
		rec2.move(4,-1);
		
		//prints 2 rectangles
		System.out.println(rec1);
		System.out.println("");
		System.out.println(rec2);
	}	
}
